com.smartgwt.client.rpc

## Class DMI

- java.lang.Object
- - com.smartgwt.client.rpc.DMI

-     public class DMI
      extends java.lang.Object

  This class provides static methods to call server-side DMI methods exposed via a `ApplicationDeclaration` file.

  Note: This class is only functional if you have Smart GWT Pro or above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DMI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `call(java.lang.String appID, java.lang.String className, java.lang.String methodName, RPCCallback callback, java.lang.Object[] arguments)` Static method to call a server-side DMI method exposed via a `ApplicationDeclaration` file.
    `static void` | `call(java.lang.String appID, java.lang.String className, java.lang.String methodName, RPCCallback callback, java.lang.Object[] arguments, RPCRequest requestParams)` Static method to call a server-side DMI method exposed via a `ApplicationDeclaration` file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DMI

          public DMI()

  - ### Method Detail

    - #### call

          public static void call(java.lang.String appID,
                  java.lang.String className,
                  java.lang.String methodName,
                  RPCCallback callback,
                  java.lang.Object[] arguments)

      Static method to call a server-side DMI method exposed via a `ApplicationDeclaration` file. Each argument passed into this method will be serialized to JSON, then converted back into Java on the server, and passed to the server side method, The translation follows the same rules described in `RPCRequest.setData(com.google.gwt.core.client.JavaScriptObject)`.
      Parameters:
        `appID` - Name of the `ApplicationDeclaration` (.app.xml) file to look in
        `className` - className (or ID) of the server object on which the method will be invoked
        `methodName` - The name of the method to call on the serverObject
        `callback` - Callback to execute when the DMI call completes
        `arguments` - array of arguments to pass to the server side method

    - #### call

          public static void call(java.lang.String appID,
                  java.lang.String className,
                  java.lang.String methodName,
                  RPCCallback callback,
                  java.lang.Object[] arguments,
                  RPCRequest requestParams)

      Static method to call a server-side DMI method exposed via a `ApplicationDeclaration` file. Each argument passed into this method will be serialized to JSON, then converted back into Java on the server, and passed to the server side method, The translation follows the same rules described in `RPCRequest.setData(com.google.gwt.core.client.JavaScriptObject)`.
      Parameters:
        `appID` - Name of the `ApplicationDeclaration` (.app.xml) file to look in
        `className` - className (or ID) of the server object on which the method will be invoked
        `methodName` - The name of the method to call on the serverObject
        `callback` - Callback to execute when the DMI call completes
        `arguments` - array of arguments to pass to the server side method
        `requestParams` - Any additional properties that you want to set. The properties will be applied to the `RPCRequest` generated by this DMI call.